Bug 1571345 - [scale lab] nova should update port with SG specified while spawning VM
Summary: [scale lab] nova should update port with SG specified while spawning VM
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: opendaylight
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: lpeer
QA Contact: Itzik Brown
URL:
Whiteboard: scale_lab
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-24 14:58 UTC by Janki
Modified: 2018-10-14 09:18 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-29 06:55:56 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Janki 2018-04-24 14:58:12 UTC
Description of problem:
Create a port. Create a VM attached to this port with customised SG. SG associated with the port should be updated to include the SG specified in VM creation.

Version-Release number of selected component (if applicable):
OSP13

How reproducible:
Always

Steps to Reproduce:
1. Create port
2. Create VM attached to this port with custom SG
3. See SGs associated with both VMs and port

Actual results:
Custom SG does not apply to port.

Expected results:
Custom SG should be applied to port.

Additional info:

Comment 2 Janki 2018-04-24 15:02:15 UTC
There is a workaround.

Manually update the security group of the port by running

openstack port update --security-group SG1_ID --security-group SG2_ID PORT_ID

We need to specify this workaround in our docs specially for VLAN aware VM use cases.


Note You need to log in before you can comment on or make changes to this bug.